%define url ftp://ftp.kernel.org/pub/linux/utils/kernel/hotplug
%define tarname %{name}-%{version}
%define kernel_dir /usr/src/linux
%define use_dietlibc 0
%define bootstrap 0

%define main_major 0
%define gudev_api 1.0
%define gudev_major 0

%define libname %mklibname %{name} %{main_major}
%define gudev_libname %mklibname gudev %{gudev_api} %{main_major}
%define gudev_libname_devel %mklibname gudev %{gudev_api} -d

%define lib_udev_dir /lib/%{name}
%define system_rules_dir %{lib_udev_dir}/rules.d
%define user_rules_dir %{_sysconfdir}/%{name}/rules.d

%{?_without_dietlibc:	%{expand: %%global use_dietlibc 0}}
%{?_with_dietlibc:		%{expand: %%global use_dietlibc 1}}

%{?_with_bootstrap:		%{expand: %%global bootstrap 1}}
%{?_without_bootstrap:	%{expand: %%global bootstrap 0}}

%define git_url git://git.kernel.org/pub/scm/linux/hotplug/udev.git

Name: 		udev
Version: 	146
Release: 	%manbo_mkrel 9
License: 	GPLv2
Summary: 	A userspace implementation of devfs
Group:		System/Configuration/Hardware
URL:		%{url}
Source0: 	%{url}/%{tarname}.tar.bz2
Source1: 	%{url}/%{tarname}.tar.bz2.sign
Source2:	50-udev-mandriva.rules
Source3:	69-printeracl.rules
Source5:	udev.sysconfig

# from Fedora (keep unmodified)
Source6:        udev-post.init
Source7:	start_udev

Source8:	default.nodes
Source9:	create_static_dev_nodes
Source34:	udev_import_usermap
# from hotplug-2004_09_23
Source40:	hotplug-usb.distmap
Source41:	hotplug-usb.handmap
# (blino) net rules and helpers
Source60:	76-net.rules
Source62:	udev_net_create_ifcfg
Source63:	udev_net_action
Source64:	udev_net.sysconfig
# (fc) 140-1mdv put back pam console apply for now
Source65:	95-pam-console.rules

# from upstream git

# from Mandriva
# disable coldplug for storage and device pci 
Patch20:	udev-146-coldplug.patch
# patches from Mandriva on Fedora's start_udev
Patch70:	udev-125-devices_d.patch
Patch71:	udev-142-MAKEDEV.patch
Patch73:	udev-137-speedboot.patch
# (fc) 146-2mdv fix build in empty chroot (PLD)
Patch74:	udev-libpath.patch
# (fc) 146-3mdv fix invalid udev trigger call
Patch75:	udev-146-udevpost-trigger.patch
# (fc) 146-4mdv devtmpfs support
Patch76:	udev-devtmpfs.patch
# (cg) 146-5mnb (upstream) Fix issue on some h/w
Patch77:	udev-146-fix-wrong-param-size-on-ioctl-fionread.patch
# (cg) 146-5mnb (upstream) Fix single session cd reading
Patch78:	udev-146-fix-single-session-cd-detection.patch
# (cg) 146-5mnb (upstream) brown paper bag from the above...
Patch79:	udev-146-fix-previous-commit-for-cd-detection.patch
# (cg) 146-5mnb consolekit 0.4.1 API change.
Patch80:	udev-146-consolekit-0.4.1.patch
# (fc) 146-6mdv fix network interface renaming (GIT)
Patch81:	udev-146-networkrename.patch
# (fc) 146-6mdv fix default permission for USB raw printer (GIT)
Patch82:	udev-146-usbprinter.patch
# (fc) 146-8mdv serialize events with same major/minor (GIT)
Patch83:	udev-146-serialize-events.patch
# (fc) 146-8mdv add acer aspire 5720 keyboard (GIT)
Patch84:	udev-146-acer-aspire-5720.patch
# (fc) 146-8mdv add Logitech Wave usb keyboard (GIT)
Patch85:	udev-146-logitech-wave.patch
# (fc) 146-8mdv add Logitech Wave cordless keyboard (GIT)
Patch86:	udev-146-logitech-wave-cordless.patch

#Conflicts:  devfsd
Conflicts:	sound-scripts < 0.13-1mdk
Conflicts:	hotplug < 2004_09_23-22mdk
Conflicts:	pam < pam-0.99.3.0-1mdk
Conflicts:	initscripts < 8.51-7mdv2007.1
Obsoletes:	udev-extras <= 20090226
Provides:	udev-extras = 20090226-1mdv
Requires:	coreutils
Requires:	setup >= 2.7.16
Requires:	util-linux-ng >= 2.15
%if %use_dietlibc
BuildRequires:	dietlibc
%endif
BuildRequires:	glibc-static-devel
BuildRequires:  libblkid-devel
%if !%{bootstrap}
BuildRequires:  libacl-devel
BuildRequires:  glib2-devel
BuildRequires:  libusb-devel
BuildRequires:  usbutils
BuildRequires:  pciutils
BuildRequires:  gperf
BuildRequires:  gobject-introspection-devel >= 0.6.2
BuildRequires:  libtool
BuildRequires:	gtk-doc
%endif
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
Obsoletes:	speedtouch eagle-usb
Obsoletes: %{name}-tools < 125
Provides: %{name}-tools = %{version}-%{release}

%description
Udev is an implementation of devfs/devfsd in userspace using sysfs and
/sbin/hotplug. It requires a 2.6 kernel to run properly.

Like devfs, udev dynamically creates and removes device nodes from /dev/.
It responds to /sbin/hotplug device events.

%package doc
Summary: Udev documentation
Group: Books/Computer books
%description doc
This package contains documentation of udev.

%package -n %{libname}
Group: System/Libraries
Summary: Library for %{name}
%description -n %{libname}
Library for %{name}.

%package -n %{libname}-devel
Group: Development/C
Summary: Devel library for %{name}
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Requires: %{libname} = %{version}
%description -n %{libname}-devel
Devel library for %{udev}.

%package -n %{gudev_libname}
Summary: Libraries for adding libudev support to applications that use glib
Group: System/Libraries
Requires: %{libname} >= 142

%description -n %{gudev_libname}
This package contains the libraries that make it easier to use libudev
functionality from applications that use glib.

%package -n %{gudev_libname_devel}
Summary: Header files for adding libudev support to applications that use glib
Group: Development/C
Requires: %{libname}-devel >= 142
Requires: %{gudev_libname} = %{version}-%{release}
Provides: libgudev-devel = %{version}-%{release}

%description -n %{gudev_libname_devel}
This package contains the header and pkg-config files for developing
glib-based applications using libudev functionality.

%prep
%setup -q
%patch20 -p1 -b .coldplug
cp -a %{SOURCE7} .
cp -a %{SOURCE6} .
%patch70 -p1 -b .devices_d
%patch71 -p1 -b .MAKEDEV
%patch73 -p1 -b .speedboot
%patch74 -p1 -b .libpath
%patch75 -p1 -b .udevtrigger
%patch76 -p1 -b .devtmpfs
%patch77 -p1 -b .fionread
%patch78 -p1 -b .cdrom
%patch79 -p1 -b .cdrom2
%patch80 -p1 -b .ck041
%patch81 -p1 -b .networkrename
%patch82 -p1 -b .usbprinter
%patch83 -p1 -b .serialize-events
%patch84 -p1 -b .acer-aspire-5720
%patch85 -p1 -b .logitech-wave
%patch86 -p1 -b .logitech-wave-cordless

#needed by patches74, 84, 85
autoreconf

%build
%serverbuild
%configure2_5x \
  --prefix=%{_prefix} \
  --sysconfdir=%{_sysconfdir} \
  --sbindir="/sbin" \
  --libexecdir="%{lib_udev_dir}" \
  --with-rootlibdir=/%{_lib} \
%if %{bootstrap}
  --disable-extras --disable-introspection 
%else
  --enable-extras --enable-introspection
%endif

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%if %use_dietlibc
install -d %{buildroot}%{_prefix}/lib/dietlibc/lib-%{_arch}
%endif

install -m 755 start_udev %{buildroot}/sbin/
install -m 755 %SOURCE9 %{buildroot}/sbin/

install -m 644 %SOURCE2 %{buildroot}%{system_rules_dir}/
install -m 644 %SOURCE3 %{buildroot}%{system_rules_dir}/
# use RH rules for pam_console
install -m 644 %SOURCE65 %{buildroot}%{system_rules_dir}/95-pam-console.rules
# use upstream rules for sound devices, device mapper, raid devices
for f in \
  40-alsa \
  40-isdn \
  64-device-mapper \
  ; do
    install -m 644 rules/packages/$f.rules %{buildroot}%{system_rules_dir}/
done

install -d %{buildroot}%{_sysconfdir}/sysconfig
install -m 0644 %{SOURCE5} %{buildroot}%{_sysconfdir}/sysconfig/udev

# net rules
install -m 0644 %SOURCE60 %{buildroot}%{system_rules_dir}/
install -m 0755 %SOURCE62 %{buildroot}%{lib_udev_dir}/net_create_ifcfg
install -m 0755 %SOURCE63 %{buildroot}%{lib_udev_dir}/net_action
install -m 0644 %SOURCE64 %{buildroot}/etc/sysconfig/udev_net

mkdir -p %{buildroot}%{_sysconfdir}/%{name}/devices.d/
install -m 0755 %SOURCE8 %{buildroot}%{_sysconfdir}/%{name}/devices.d/

mkdir -p %{buildroot}%{_sbindir}
install -m 0755 %SOURCE34 %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_sysconfdir}/%{name}/agents.d/usb

touch $RPM_BUILD_ROOT%{_sysconfdir}/scsi_id.config

%{buildroot}%{_sbindir}/udev_import_usermap --no-driver-agent usb %{SOURCE40} %{SOURCE41} > %{buildroot}%{system_rules_dir}/70-hotplug_map.rules

mkdir -p %{buildroot}%{_initrddir}
install -m 0755 udev-post.init %{buildroot}%{_initrddir}/udev-post

# (blino) usb_id are used by drakx
ln -s ..%{lib_udev_dir}/usb_id %{buildroot}/sbin/

# (cg) This shouldn't be needed in 147 as the Makefile.am will be updated
# but for some reason our tarball does not include the Makefile.am.
# Consider this part of Patch80.
mv %{buildroot}%{_prefix}/lib/ConsoleKit/run-session.d %{buildroot}%{_prefix}/lib/ConsoleKit/run-seat.d

mkdir -p %{buildroot}/lib/firmware

rm -rf $RPM_BUILD_ROOT%{_docdir}/udev
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post
%_post_service udev-post

%preun
%_preun_service udev-post

%pre
if [ -d /lib/hotplug/firmware ]; then
	echo "Moving /lib/hotplug/firmware to /lib/firmware"
	mkdir -p /lib/firmware
	mv /lib/hotplug/firmware/* /lib/firmware/ 2>/dev/null
	rmdir -p --ignore-fail-on-non-empty /lib/hotplug/firmware
	:
fi

%triggerpostun -- udev < 064-4mdk
for i in /etc/udev/rules.d/{dvd,mouse}.rules; do
    [[ -e $i ]] && mv ${i}{,.old};
done
:

%triggerpostun -- udev < 068-17mdk
rm -f /etc/rc.d/*/{K,S}*udev

%triggerpostun -- udev < 109-2mdv2008.0
perl -n -e '/^\s*device=(.*)/ and print "L mouse $1\n"' /etc/sysconfig/mouse > /etc/udev/devices.d/mouse.nodes

%triggerpostun -- udev < 126-1mdv2008.0
# make Mandriva rules compatible with upstream write_cd_rules helper
sed -i -e 's/ENV{MDV_CONFIGURED}="yes"/ENV{GENERATED}="1"/' /etc/udev/rules.d/61-block_config.rules
# set $1 so that udev-post is handled like for a new install
set 1
%_post_service udev-post

%files
%defattr(0644,root,root,0755)
%attr(0755,root,root) /sbin/udevadm
%attr(0755,root,root) /sbin/udevd
%attr(0755,root,root) /sbin/create_static_dev_nodes
%attr(0755,root,root) /sbin/start_udev
%attr(0755,root,root) %{_sbindir}/udev_import_usermap
%attr(0755,root,root) %{_initrddir}/udev-post
%dir %{_sysconfdir}/%{name}/agents.d
%dir %{_sysconfdir}/%{name}/agents.d/usb
%config(noreplace) %{_sysconfdir}/sysconfig/udev
%config(noreplace) %{_sysconfdir}/sysconfig/udev_net
%config(noreplace) %{_sysconfdir}/%{name}/*.conf
%ghost %config(noreplace,missingok) %attr(0644,root,root) %{_sysconfdir}/scsi_id.config
%dir %{system_rules_dir}
%{system_rules_dir}/*
%dir %{_sysconfdir}/%{name}
%dir %{user_rules_dir}
%dir %{_sysconfdir}/%{name}/devices.d
%config(noreplace) %{_sysconfdir}/%{name}/devices.d/*.nodes
%{_mandir}/man7/*
%{_mandir}/man8/*
%dir /lib/firmware
%dir %{lib_udev_dir}
%attr(0755,root,root) %{lib_udev_dir}/ata_id
%attr(0755,root,root) %{lib_udev_dir}/cdrom_id
%attr(0755,root,root) %{lib_udev_dir}/edd_id
%attr(0755,root,root) %{lib_udev_dir}/path_id
%attr(0755,root,root) %{lib_udev_dir}/scsi_id
%attr(0755,root,root) %{lib_udev_dir}/usb_id
%attr(0755,root,root) %{lib_udev_dir}/collect
%attr(0755,root,root) %{lib_udev_dir}/create_floppy_devices
%attr(0755,root,root) %{lib_udev_dir}/firmware.sh
%attr(0755,root,root) %{lib_udev_dir}/fstab_import
%attr(0755,root,root) %{lib_udev_dir}/rule_generator.functions
%attr(0755,root,root) %{lib_udev_dir}/write_cd_rules
%attr(0755,root,root) %{lib_udev_dir}/write_net_rules
%attr(0755,root,root) %{lib_udev_dir}/net_create_ifcfg
%attr(0755,root,root) %{lib_udev_dir}/net_action
%attr(0755,root,root) %{lib_udev_dir}/v4l_id
%attr(0755,root,root) /sbin/usb_id
%if !%{bootstrap}
%attr(0755,root,root) %{lib_udev_dir}/hid2hci
%attr(0755,root,root) %{lib_udev_dir}/modem-modeswitch
%attr(0755,root,root) %{lib_udev_dir}/pci-db
%attr(0755,root,root) %{lib_udev_dir}/usb-db
%attr(0755,root,root) %{lib_udev_dir}/keymap
%attr(0755,root,root) %{lib_udev_dir}/udev-acl
%attr(0755,root,root) %{lib_udev_dir}/findkeyboards
%attr(0755,root,root) %{lib_udev_dir}/keymaps/*
%attr(0644,root,root) %{_prefix}/lib/ConsoleKit/run-seat.d/udev-acl.ck
%endif

%files doc
%defattr(0644,root,root,0755)
%doc COPYING README TODO ChangeLog NEWS extras/keymap/README.keymap.txt
%doc docs/writing_udev_rules/*

%files -n %{libname}
%defattr(0644,root,root,0755)
/%{_lib}/lib%{name}.so.%{main_major}*

%files -n %{libname}-devel
%defattr(0644,root,root,0755)
%doc %{_datadir}/gtk-doc/html/libudev
%{_libdir}/lib%{name}.*
%if %use_dietlibc
%{_prefix}/lib/dietlibc/lib-%{_arch}/lib%{name}.a
%endif
%{_libdir}/pkgconfig/lib%{name}.pc
%{_datadir}/pkgconfig/udev.pc
%{_includedir}/lib%{name}.h

%if !%{bootstrap}
%files -n %{gudev_libname}
%defattr(0644,root,root,0755)
%{_libdir}/libgudev-%{gudev_api}.so.%{gudev_major}*
%{_libdir}/girepository-1.0/GUdev-%{gudev_api}.typelib

%files -n %{gudev_libname_devel}
%defattr(0644,root,root,0755)
%doc %{_datadir}/gtk-doc/html/gudev
%{_libdir}/libgudev-%{gudev_api}.so
%{_includedir}/gudev-%{gudev_api}
%{_datadir}/gir-1.0/GUdev-%{gudev_api}.gir
%{_libdir}/pkgconfig/gudev-%{gudev_api}.pc
%endif


%changelog
* Fri Oct 16 2009 Frederic Crozat <fcrozat@mandriva.com> 146-9mnb2
+ Revision: 457891
- Update patch75 to allow retry failed triggers in udev-post, after dbus (Mdv bug #49164)
- Patch86 (GIT): add support for Logitech Wave Cordless keyboard

* Tue Oct 13 2009 Frederic Crozat <fcrozat@mandriva.com> 146-8mnb2
+ Revision: 457124
- Patch83 (GIT): serialize events on same major/minor
- Patch84 (GIT): fix keyboard for Acer Aspire 5720
- Patch85 (GIT): fix keyboard for Logitech Wave USB

* Wed Oct 07 2009 Frederic Crozat <fcrozat@mandriva.com> 146-7mnb2
+ Revision: 455453
- add source3 : parallel port ACL, for printer and scanner

* Wed Sep 30 2009 Frederic Crozat <fcrozat@mandriva.com> 146-6mnb2
+ Revision: 451704
- Patch81 (GIT): fix network interface renaming (Mdv bug #54007)
- Patch82 (GIT): fix default permissions for USB raw printer (needed by cups 1.4+)

* Sun Sep 27 2009 Colin Guthrie <cguthrie@mandriva.org> 146-5mnb2
+ Revision: 449749
- Fix an issue on some hardware relating to FIONREAD ioctrl (upstream).
- Fix single session CD detection (upstream).
- Fix for consolekit API 0.4.1 (from fedora: mdv#54059

* Mon Sep 21 2009 Frederic Crozat <fcrozat@mandriva.com> 146-4mnb2
+ Revision: 446751
- Patch76: add support for devtmpfs in start_udev
- Update patch75 to not restart failed triggers, already done in rc.sysinit

* Tue Sep 08 2009 Frederic Crozat <fcrozat@mandriva.com> 146-3mnb2
+ Revision: 433834
- Patch75: fix incorrect udev trigger call

* Tue Sep 08 2009 Frederic Crozat <fcrozat@mandriva.com> 146-2mnb2
+ Revision: 433565
- Update start_udev and udev-post with latest fedora version

* Mon Aug 17 2009 Frederic Crozat <fcrozat@mandriva.com> 146-1mnb2
+ Revision: 417262
- Patch74 (PLD): fix build in empty chroot
- Release 146
- Remove patch0 (merged upstream)
- Regenerate patch20

* Sat Aug 08 2009 Colin Guthrie <cguthrie@mandriva.org> 145-3mnb2
+ Revision: 411663
- Fix surround sound profile detection in PulseAudio (ACL application order issue)

* Fri Jul 31 2009 Anssi Hannula <anssi@mandriva.org> 145-2mnb2
+ Revision: 405011
- drop 64-md-raid.rules, now provided by mdadm

* Wed Jul 22 2009 Frederic Crozat <fcrozat@mandriva.com> 145-1mnb2
+ Revision: 398577
- Release 145
- Update source7 with latest fedora version
- Remove patches 72 (no longer needed), 74 (replaced by udevlog cmdline)

* Wed Jul 01 2009 Frederic Crozat <fcrozat@mandriva.com> 143-2mnb2
+ Revision: 391277
- Patch74 (Michael Reinsch): redirect udev debug log to a file (Mdv bug #52000)

* Tue Jun 23 2009 Frederic Crozat <fcrozat@mandriva.com> 143-1mnb2
+ Revision: 388679
- Release 143
- Introduce subpackage for libgudev/libgudev-devel
- Obsolete/Provides udev-extras package
- Add bootstrap build option to build minimal udev package (without udev-extras and introspection)
- Ship upstream isdn rules (Fedora)

* Tue Jun 09 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 142-3mnb2
+ Revision: 384568
- Add tmpbridge to BLACKLIST_ALL list (udev_net.sysconfig). tmpbridge is
  used by xen network-bridge script by default, and it shouldn't be
  touched by network hotplug actions.

* Tue Jun 09 2009 Frederic Crozat <fcrozat@mandriva.com> 142-2mnb2
+ Revision: 384451
- Remove patch22, no longer needed

* Tue Jun 09 2009 Frederic Crozat <fcrozat@mandriva.com> 142-1mnb2
+ Revision: 384347
- Release 142
- build with util-linux-bg / libblkid
- drop vol_id/libvol_id (no longer exist)
- drop klibc build, not used (and probably broken)
- Remove patches 0, 1, 21 74, 75 (merged upstream)
- Regenerate patches 22, 71
- Patch72: hide mknod errors for existing nodes in start_udev
- Update source7 with latest fedora version
- Remove duplicate node creation between start_udev and nodes.d/default

* Thu Apr 16 2009 Pascal Terjan <pterjan@mandriva.org> 140-3mnb2
+ Revision: 367693
- CVE-2009-1185, CVE-2009-1186

* Mon Mar 30 2009 Frederic Crozat <fcrozat@mandriva.com> 140-2mnb2
+ Revision: 362435
- Update start_udev with latest version from Fedora
- Regenerate patch71
- Remove patch72 (merged upstream)
- no longer create /dev/raw1394 by default, raw1394 module send the correct kernel events now

* Wed Mar 18 2009 Frederic Crozat <fcrozat@mandriva.com> 140-1mnb2
+ Revision: 357242
- Release 140
- Patch0 (GIT): fix md-raid rules
- Patch1 (GIT): fix extra quote in default rules
- Source65: add back pam console rules (should be dropped for 2010.0)

* Wed Mar 11 2009 Frederic Crozat <fcrozat@mandriva.com> 139-1mnb2
+ Revision: 353666
- Release 139
- Regenerate patch22

* Thu Feb 26 2009 Frederic Crozat <fcrozat@mandriva.com> 138-1mnb2
+ Revision: 345175
- Release 138

* Wed Feb 04 2009 Frederic Crozat <fcrozat@mandriva.com> 137-2mnb2
+ Revision: 337505
- Patch73: add support for speedboot

* Thu Jan 29 2009 Frederic Crozat <fcrozat@mandriva.com> 137-1mnb2
+ Revision: 335328
- Release 137

* Fri Jan 09 2009 Frederic Crozat <fcrozat@mandriva.com> 136-1mnb2
+ Revision: 327459
- Release 136
- Remove patch72, merged upstream
- Patch72: check for restorecon presence before calling it
- Requires setup 2.7.16 or later, needed for dialout group
- Regenerate patches 20, 71

* Wed Dec 03 2008 Frederic Crozat <fcrozat@mandriva.com> 130-3mnb2
+ Revision: 309668
- Patch22: add by-id symlink for "pure" HID devices

* Mon Nov 17 2008 Olivier Blin <oblin@mandriva.com> 130-2mnb2
+ Revision: 303913
- send dbus notifications on network interface add/remove

  + Frederik Himpe <fhimpe@mandriva.org>
    - Disable hotplug actions for virbr* and vnet* devices, created by
      KVM and libvirt (bug #45358)

* Mon Oct 27 2008 Frederic Crozat <fcrozat@mandriva.com> 130-1mnb2
+ Revision: 297580
- Release 130
- Remove patch0 (merged upstream)

* Tue Sep 23 2008 Olivier Blin <oblin@mandriva.com> 128-2mnb2
+ Revision: 287608
- include config.h to use llseek in libvolume_id (should fix ntfs volumes detection, #43866)
- fix verbose logging in vol_id (from upstream)

* Fri Sep 12 2008 Olivier Blin <oblin@mandriva.com> 128-1mnb2
+ Revision: 284070
- 128

* Mon Sep 01 2008 Olivier Blin <oblin@mandriva.com> 127-1mnb2
+ Revision: 278489
- use new volume_id major
- use major in libraries file list
- add libudev packages
- 127

* Fri Aug 29 2008 Olivier Blin <oblin@mandriva.com> 126-1mnb2
+ Revision: 277362
- rename net rules so that they are run after upstream net renaming rules
- remove udev_copy_temp_rules (done by udev-post service) and now unused udev_persistent_lib.sh
- remove persistent net rules from Mandriva, use upstream's
- migrate persitent block rules from Mandriva to be compatible with upstream rules
- remove persistent block rules from Mandriva, use upstream's
- enable udev-post on upgrades too
- add udev-post service (from Fedora) to replace initscripts
- fix udevsettle usage in start_udev
- RELEASE-NOTES is now named NEWS
- use parallel make
- remove USE_LOG options, now enabled by default in configure
- install all extras (including upstream write_cd_rules and write_net_rules)
- do not package udevsettle and udevinfo symlinks
- udev lib dir is now /lib/udev on all archs (even x86_64)
- do not build dietlibc volume_id (we don't use it in nash anymore)
- fix dietlibc build
- use configure
- 126

* Tue Aug 26 2008 Olivier Blin <oblin@mandriva.com> 125-2mnb2
+ Revision: 276254
- add /etc/sysconfig/udev (with default from Fedora)
- rediff start_udev patches
- sync with start_udev from Fedora (with nice modprobedebug option handling)

* Mon Jul 21 2008 Olivier Blin <oblin@mandriva.com> 125-1mnb2
+ Revision: 239503
- use /_lib/udev in more tools
- own user rules dir (/etc/udev/rules.d)
- do not package old doc files
- system rules are now in /_lib/udev/rules.d
- use new source path for rules files
- do not install default rules twice (now installed from Makefile)
- rediff coldplug patch
- fix obsoletes for udev-tools
- 125

* Fri Jul 18 2008 Olivier Blin <oblin@mandriva.com> 124-2mnb2
+ Revision: 238233
- merge udev-tools back in udev (contained only the udev_import_usermap helper)

* Thu Jul 17 2008 Olivier Blin <oblin@mandriva.com> 124-1mnb2
+ Revision: 237682
- blacklist persistent naming for pan* network interfaces
- start_udev: use udevadm instead of udevcontrol and udevtrigger
- remove udevcontrol/udevtrigger/udevtest/udevmonitor (use udevadm instead)
- 124

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Apr 23 2008 Olivier Blin <oblin@mandriva.com> 118-7mnb1
+ Revision: 197050
- never auto-load display drivers on hotplug, it could prevent X from starting (#39977)
- blacklist hso* interfaces (created by the hso driver) from automatic network actions

* Mon Mar 31 2008 Olivier Blin <oblin@mandriva.com> 118-6mnb1
+ Revision: 191206
- add a workaround in net helper to handle ne2k driver (for qemu)

* Wed Mar 26 2008 Olivier Blin <oblin@mandriva.com> 118-5mnb1
+ Revision: 190238
- use Manbo release tag

* Fri Feb 08 2008 Olivier Blin <oblin@mandriva.com> 118-4mdv2008.1
+ Revision: 164023
- do not buildrequire libsysfs-devel

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild with fixed %%serverbuild macro

* Tue Jan 22 2008 Olivier Blin <oblin@mandriva.com> 118-2mdv2008.1
+ Revision: 156425
- add symlink to usb_id in /sbin (for DrakX)
- restore BuildRoot

* Wed Dec 19 2007 Olivier Blin <oblin@mandriva.com> 118-1mdv2008.1
+ Revision: 134018
- 118

* Mon Dec 17 2007 Olivier Blin <oblin@mandriva.com> 117-1mdv2008.1
+ Revision: 131555
- add a comment about video group being overidden by pam_console
- do not mark udev rules as config files
- rename rules file as 50-udev-mandriva.rules
- remove /dev/md/* and /dev/cloop/* compatibility symlinks
- use ATTR{media} instead of "cat /proc/ide/*/media" in rules
- remove /etc/udev/scripts
- update workaround for Iomega Zip from Debian rules and drop ide-model.sh script
- remove old workarounds for USB ZIP/JAZ (now in HAL)
- remove floppy-extra-devs.sh script and rule, upstream uses a create_floppy_devices helper instead
- do not set explicitely dri/card* names, already upstream
- remove rules assigning "disk" group, all devices from the "block" subsystem get it by default (but the "disk" group gets read-only access)
- remove broken IDE rule that used to run a devfs script
- remove /dev/console rule, it's upstream and the group is of no use since the perms are 600 (perms are handled by pam_console anyway)
- remove ircomm rule (note: upstream uses the "uucp" group, instead of "tty")
- remove rules for tty* (already upstream)
- factorize tape rules (and add a new One for SCSI tapes)
- remove /dev/usb/tts compatibility symlinks
- remove useless NAME= assignments
- restore coldplug blacklist for STORAGE and DISPLAY PCI classes
- remove modalias hotplug rules, upstream 80-drivers hotplugs everything
- remove devfs compatibility symlinks in /dev/misc/
- remove perms for /dev/rtc, already upstream
- remove inotify rule, the inotify device has been dropped a long time ago
- remove devfs compatibility /dev/i2c/ symlinks
- remove nvidia and fb (graphics subsys) permissions assignement, Suse permissions rules already do that
- remove lp rules, already upstream (still drop /dev/printers/ and /dev/par* symlinks)
- remove SCSI hotplug rules, since proper modaliases are available as of 2.6.21 kernel
- remove input rules, most are upstream (still drop /dev/psmouse, /dev/usbmouse, /dev/js)
- remove firewire rules, already in upstream rules
- remove video symlinks that are already in upstream rules, and remove /dev/vtx symlink
- remove lirc rules, they are in the lirc package
- add md-raid symlinks rules (from upstream)
- use upstream rules for device mapper
- use upstream rules for sound devices names and symlinks
- remove duplicate "audio" group assignement, now in a general subsystem rule
- set "audio" group for all devices from "snd" subsystem (OSS)
- remove /proc/bus/usb mount, this is done in rc.sysinit
- remove usbmouse/usbhid workaround, usbmouse now requires usbhid, which should fix the problem for Microsoft mice
- use redhat rules file for pam_console
- remove devfs-compatibility symlinks in /dev/v4l
- move cdrom_id call in 62-create_persistent.rules
- remove /dev/bus/usb rule, already in upstream rules
- remove DVB rules, already in upstream rules
- remove sg modprobe rule, already in upstream rule
- remove firmware.sh rule, already in upstream rule
- remove aoe rules (not in Gentoo rules anymore)
- remove dvb script, was for kernels <= 2.6.8
- use Suse rules to set video group when possible
- remove em8300 symlinks in /dev/video (should be in em8300 package if needed)
- remove futile rules for SCSI devices
- remove old usb devices rules from Gentoo and cpad rule
- remove pktcdvd/diskonkey/rem_ide/kbd/sonypi rules (not in Gentoo rules anymore)
- remove infiniband devices rules (not in Gentoo rules anymore)
- remove virtual console devices rules, mostly in upstream rules (but the /dev/vcc symlinks)
- remove unused symlinks for netlink devices
- remove raw devices rules, already in upstream rules
- remove CPU devices rules, already in upstream rules
- drop tty rules included in upstream rules
- remove memory devices rules, already in upstream rules
- remove doc comments, not up-to-date, and duplicate with udev(7)
- 117
- add udevadm

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Oct 03 2007 Olivier Blin <oblin@mandriva.com> 114-7mdv2008.0
+ Revision: 95257
- move code handling /etc/udev/devices.d/ files in /sbin/create_static_dev_nodes (to be used by slmodem)

* Thu Sep 27 2007 Olivier Blin <oblin@mandriva.com> 114-6mdv2008.0
+ Revision: 93261
- exclude display devices from coldplug (#32030)
- exclude all storage controllers from PCI coldplug (ATA, SATA, ..., and not only IDE)
- use ATTR instead of SYSFS to exclude IDE controllers from coldplug

* Mon Sep 24 2007 Olivier Blin <oblin@mandriva.com> 114-5mdv2008.0
+ Revision: 92595
- do not ignore dm devices sinve lvm is fixed as of 2.02.13 (should fix LUKS devices mount, #27259 and #30115)

* Fri Aug 24 2007 Olivier Blin <oblin@mandriva.com> 114-4mdv2008.0
+ Revision: 70864
- build a dietlibc libvolume_id (for mkinitrd)

* Thu Aug 23 2007 Thierry Vignaud <tvignaud@mandriva.com> 114-3mdv2008.0
+ Revision: 69929
- fileutils, sh-utils & textutils have been obsoleted by coreutils a long time ago

* Mon Aug 20 2007 Olivier Blin <oblin@mandriva.com> 114-2mdv2008.0
+ Revision: 68018
- do not load additional module with modalias hotplug if the device already has a driver
- ignore wmaster* devices (created by mac80211 drivers) in automatic net rules generation

* Fri Aug 10 2007 Olivier Blin <oblin@mandriva.com> 114-1mdv2008.0
+ Revision: 61635
- fix locking in udev rules (from Andrey Borzenkov, #32281)
- sync start_udev with RH
- 114
- rediff libudevdir patch (udev_utils_run.c has been merged in udev_rules.c)

* Mon Jul 16 2007 Olivier Blin <oblin@mandriva.com> 113-2mdv2008.0
+ Revision: 52730
- forbid coldplug for IDE controllers (by matching the STORAGE_IDE class)
- use STARTUP variable instead of UDEV_START (and remove matches that are not used anymore)

* Mon Jun 25 2007 Olivier Blin <oblin@mandriva.com> 113-1mdv2008.0
+ Revision: 44084
- 113 (and remove scsi_id from /sbin)

* Mon May 14 2007 Olivier Blin <oblin@mandriva.com> 111-1mdv2008.0
+ Revision: 26716
- 111

* Wed May 02 2007 Olivier Blin <oblin@mandriva.com> 110-1mdv2008.0
+ Revision: 20527
- 110
- remove setenv patch (merged upstream)
- rediff libudevdir patch

* Mon Apr 30 2007 Olivier Blin <oblin@mandriva.com> 109-2mdv2008.0
+ Revision: 19443
- create /dev/MAKEDEV only if MAKEDEV exists (#30438)
- write /etc/udev/devices.d/mouse.nodes out of /etc/sysconfig/mouse (#30291)
- drop conf.d directory
- rename links.conf as default.nodes and drop old mouse.conf script
- add /etc/udev/devices.d/*.nodes support (same format as previous /etc/udev/links.conf)
- add env option in udevcontrol (setenv patch from Fedora)
- sync start_udev with Fedora

* Tue Apr 24 2007 Olivier Blin <oblin@mandriva.com> 109-1mdv2008.0
+ Revision: 17892
- 109
- use start_udev (from Fedora) to start udev (thus enabling PCI coldplugging)
- drop udevstart and /etc/init.d/udev


* Sat Apr 07 2007 Olivier Blin <oblin@mandriva.com> 108-1mdv2007.1
+ Revision: 151021
- 108

* Tue Mar 27 2007 Olivier Blin <oblin@mandriva.com> 106-3mdv2007.1
+ Revision: 148794
- blacklist bce* and scc* interfaces from automatic network actions (#28776)

* Mon Mar 05 2007 Olivier Blin <oblin@mandriva.com> 106-2mdv2007.1
+ Revision: 132876
- 106

* Fri Feb 23 2007 Thierry Vignaud <tvignaud@mandriva.com> 105-2mdv2007.1
+ Revision: 125170
- bump release
- add a rule for parport (#28421)

  + Olivier Blin <oblin@mandriva.com>
    - 105

* Mon Jan 22 2007 Olivier Blin <oblin@mandriva.com> 104-2mdv2007.1
+ Revision: 111763
- add -L option to vol_id to print raw partition label (from Andrey Borzenkov)

* Mon Jan 15 2007 Olivier Blin <oblin@mandriva.com> 104-1mdv2007.1
+ Revision: 109082
- 104

* Tue Jan 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 103-2mdv2007.1
+ Revision: 106837
- fix wrong symlink for /dev/tty (#27954)

  + Olivier Blin <oblin@mandriva.com>
    - remove tun rules (moved in tunctl package)

* Fri Oct 27 2006 Olivier Blin <oblin@mandriva.com> 103-1mdv2007.1
+ Revision: 73156
- udev-103

* Thu Oct 12 2006 Olivier Blin <oblin@mandriva.com> 102-1mdv2006.0
+ Revision: 63493
- udev-102
- udev-101
- allow udev to start/stop usb* interfaces (#21717)
- 098-6mdv
- don't match on VLAN interfaces (from Andrey Borzenkov, #24369)
- blacklist usb* interfaces, not usbnet* (#21717)
- don't let udev rename wifi* interfaces of madwifi/hostap drivers (by matching on type sysfs attr, idea borrowed from Debian, #21273 and #25911)

* Mon Sep 18 2006 Olivier Blin <oblin@mandriva.com> 098-5mdv2007.0
+ Revision: 61788
- fix input device nodes creation in coldplug (#25841)

* Sun Sep 17 2006 Olivier Blin <oblin@mandriva.com> 098-4mdv2007.0
+ Revision: 61705
- udev-098-4mdv2007.0
- add input coldplug support back (#25432)
- modprobe sg for SCSI devices (from Suse rules, #22899)
- match modalias rules using sysfs instead of environment, so that coldplug can work again

* Tue Sep 05 2006 Olivier Blin <oblin@mandriva.com> 098-3mdv2007.0
+ Revision: 59740
- increase release
- remove TPM rules, they should be provided by an eventual TPM Software Stack package (#24885)
- fix library path in copy_temp_rules script (#25125)
- check that /lib/udev is not used when helpers are not installed in /lib

* Thu Aug 31 2006 Frederic Crozat <fcrozat@mandriva.com> 098-2mdv2007.0
+ Revision: 58808
- Disable visor module autoload, we uses libusb now

* Tue Aug 29 2006 Olivier Blin <oblin@mandriva.com> 098-1mdv2007.0
+ Revision: 58289
- 098
- don't use userdb parser anymore, it has been removed upstream and
  ldap now defaults to soft bind policy

* Fri Aug 18 2006 Olivier Blin <oblin@mandriva.com> 097-1mdv2007.0
+ Revision: 56525
- remove incorrect check for "unknown" runlevel
- rely on /dev/.started in udev service (patch from Emmanuel Blindauer, #24280)
- bunzip scripts and configuration files
- move udev_copy_temp_rules in /sbin (#23196)
- package 95-udev-late.rules (and use rules.d path as source)
- fix segfault when a blank line is read in passwd/group files (#24303)
- 097

* Wed Aug 09 2006 Olivier Blin <oblin@mandriva.com> 096-4mdv2007.0
+ Revision: 54435
- dev-096-4mdv2007.0
- fix udev helpers path in net rules on x86_64 (to fix interface naming issues, including firewire)
- import udev-096-3mdv2007.0

* Sat Aug 05 2006 Olivier Blin <blino@mandriva.com> 096-3mdv2007.0
- add ax*|nr*|rose* back in blacklist (#20492)

* Fri Jul 28 2006 Olivier Blin <blino@mandriva.com> 096-2mdv2007.0
- move net rules in 62-net.rules
- split udev_net_helper as net_create_ifcfg and net_action
- allow to modify blacklists in /etc/sysconfig/udev_net
- apply blacklists for interfaces renaming (#23663, #22748)
- blacklist some interfaces for automatic net actions:
  o usbnet* (#21717)
  o pseudo wifi interfaces: wifi* (#23662)
  o bridge interfaces: br*
  o Xen interfaces: vbd*|vtpm*|vif*
- remove the "udev_" prefix of some helpers

* Tue Jul 11 2006 Olivier Blin <oblin@mandriva.com> 096-1mdv2007.0
- New release 096

* Wed Jun 28 2006 Olivier Blin <oblin@mandriva.com> 094-3mdv2007.0
- Patch51: always use own user db parser (from 2006.0, #19690)
- blacklist br* interfaces in udev_net_helper (from 2006.0, #21177)
- blacklist ax*, nr* and rose* interface in udev_net_helper (#20492)

* Fri Jun 16 2006 Olivier Blin <oblin@mandriva.com> 094-2mdv2007.0
- Source50: add ide class MODALIAS autoloading support
  (thanks to Arnaud Patard for the hint)

* Tue Jun 13 2006 Olivier Blin <oblin@mandriva.com> 094-1mdv2007.0
- New release 094
- Source50: use modprobe to do input hotplugging
- Source7: don't call input coldplug helper
- remove old input helpers and patches (Patch42, Source35, Source36)
- install new 60-persistent-input.rules
- add back writeable function in udev_net_name_helper
  (-w won't tell what we need if the system is mounted ro)

* Tue May 30 2006 Olivier Blin <oblin@mandriva.com> 093-1mdk
- New release 093
- use firmware.sh instead of firmware_helper
- from Andrey Borzenkov: fix more '=' vs. '==' in RESULT rules (#22762)

* Wed May 24 2006 Olivier Blin <oblin@mandriva.com> 092-2mdk
- from Thierry Vignaud: enable to actually start udev if it previously
  failed to do because of missing /sys

* Wed May 24 2006 Olivier Blin <oblin@mandriva.com> 092-1mdk
- New release 092

* Tue May 16 2006 Olivier Blin <oblin@mandriva.com> 091-1mdk
- New release 091
- Patch35: update for udev-090+ and simplify
- Source2: remove udev_ieee1394_helper occurences,
  modalias rules will do fine for ieee1394 subsystem with kernel 2.6.14+
- remove udev_ieee1394_helper (Source37)
- package udevsettle

* Tue May 16 2006 Olivier Blin <oblin@mandriva.com> 089-7mdk
- Source50: use -w test instead of custom writeable function 
- obsolete speedtouch and eagle-usb packages (done in udev since
  they now use firmware hotplugging instead of old user space tools)
- from Andrey Borzenkov:
  o Source50: create rules in /dev/.udev in /etc/udev isn't writable
  o Source53: use sed instead of tr so that udev_net_name_helper
    works even when /usr isn't mounted
  o Source54: helper to copy udev rules from /dev/.udev/ to /etc/udev

* Sun Apr 23 2006 Luca Berra <bluca@vodka.it> 089-6mdk
- really fix coldplug agent path on x86_64

* Sat Apr 15 2006 Thierry Vignaud <tvignaud@mandriva.com> 089-5mdk
- source 2: fix /proc/bus/usb permissions (#21993)

* Fri Apr 14 2006 Thierry Vignaud <tvignaud@mandriva.com> 089-4mdk
- fix coldplug agent path on x86_64
- source 2: fix some checks (#21911)
- source 31: handle tun devices (#21113)
- source 50: handle comments (#21205)

* Sat Apr 08 2006 Olivier Blin <oblin@mandriva.com> 089-3mdk
- symlink vol_id in /sbin (used by drakx)

* Fri Apr 07 2006 Olivier Blin <oblin@mandriva.com> 089-2mdk
- skip pam_console_apply for devices without device nodes
  (from Andrey Borzenkov, #21874)
- don't use MODALIAS anymore in rules
  (but use SYSFS{modalias} and %%s{modalias} instead)
- use flock to avoid race conditions in persistent rules creation (#21500)

* Wed Apr 05 2006 Olivier Blin <oblin@mandriva.com> 089-1mdk
- 089
- remove pie build options (it breaks volume_id build)
- package volume_id library
- move *_id programs to /lib/udev (to reflect upstream structure)
  and modifiy 50-mdk.rules accordingly
- move helpers in /lib64/udev on 64 bits
- move 5x-*.rules persistent helpers to 6x-*.rules, since they need
  60-persistent-storage.rules to be run (#21720 again)
  (cooker users should delete their 51-*_config.rules files manually)

* Tue Apr 04 2006 Olivier Blin <oblin@mandriva.com> 088-2mdk
- use 60-persistent-storage.rules from git (#21720)

* Tue Mar 28 2006 Olivier Blin <oblin@mandriva.com> 088-1mdk
- 088
- rename 50-persistent.rules as 60-persistent-storage.rules
- add udevtrigger

* Mon Mar 20 2006 Olivier Blin <oblin@mandriva.com> 087-1mdk
- 087
- add 05-udev-early.rules
- remove raid-devfs.sh and its rules (removed upstream)
- remove WAIT_FOR_SYSFS rules in 50-mdk.rules (now in early rules)

* Mon Mar 20 2006 Michael Scherer <misc@mandriva.org> 086-4mdk
- move man page of tools in udev-tools, fix #21676

* Thu Mar 16 2006 Olivier Blin <oblin@mandriva.com> 086-3mdk
- don't require wireless-tools anymore, ifrename is better
  replaced with udev rules

* Tue Mar 14 2006 Olivier Blin <oblin@mandriva.com> 086-2mdk
- remove pcmcia rules, they are already in pcmciautils

* Fri Mar 03 2006 Olivier Blin <oblin@mandriva.com> 086-1mdk
- 086
- Source53: ignore zeroed MAC addresses (#21414)

* Thu Feb 09 2006 Olivier Blin <oblin@mandriva.com> 084-2mdk
- Source53: add script to create persistent net interface rules
  in 51-net_config.rules (udev_net_name_helper)
- call udev_net_name_helper on interface creation (Source52)
- don't use ifrename anymore in the net helper (Source31)

* Sun Feb 05 2006 Olivier Blin <oblin@mandriva.com> 084-1mdk
- 084
- remove Patch36, fixed upstream
- remove old docs (not in tarball anymore)

* Thu Feb 02 2006 Olivier Blin <oblin@mandriva.com> 082-5mdk
- create persistent cdrom rules in 51-block_config.rules (Source[50,51,52])
- use pam_console_apply in Source42

* Sat Jan 28 2006 Olivier Blin <oblin@mandriva.com> 082-4mdk
- use pam_console_apply instead of pam_console_setowner

* Thu Jan 26 2006 Olivier Blin <oblin@mandriva.com> 082-3mdk
- hide kernel messages when running udevstart from the initscript

* Thu Jan 26 2006 Olivier Blin <oblin@mandriva.com> 082-2mdk
- create usb devices in /dev/bus/usb (needs a 2.6.14 kernel)
- remove duplicated ieee1394 hotplug rule

* Wed Jan 25 2006 Olivier Blin <oblin@mandriva.com> 082-1mdk
- 082
- install udevstart manually, because our outdated kernel makes it mandatory
- don't package udev and udevsend anymore
- clean initscript:
  o remove unused bash coldplug code
  o remove old alsa workaround
  o don't export ACTION
  o echo an empty path in /proc/sys/kernel/hotplug
- directly call pam_console_setowner again (many thanks to Andrey
  Borzenkov for the patch applied upstream)
- remove Patch1, merged upstream
- install udev(7) man page
- don't strip binaries during build, to have a debug package
- Patch36: handle coldplug in udevstart for entries with no name
  (this has been broken upstream)

* Tue Jan 24 2006 Olivier Blin <oblin@mandriva.com> 081-4mdk
- calm down, add missing helpers back

* Tue Jan 24 2006 Olivier Blin <oblin@mandriva.com> 081-3mdk
- Source2: call pam_console_setowner using sh to get full environment
  (and run it on add only)

* Mon Jan 23 2006 Olivier Blin <oblin@mandriva.com> 081-2mdk
- Source2: directly call pam_console_setowner and apply permissions
  on usbfs files as well (#20269)
- drop Patch26 and pam_console.dev (not used anymore)

* Fri Jan 20 2006 Olivier Blin <oblin@mandriva.com> 081-1mdk
- 081
- enable firewire controllers cold plug (#20747)
- fix a MODALIAS== check (don't use = to test)
- Patch1: add missing include to enable build with -fpie
- compile with -fpie and -pie to purify (Thierry Vignaud)

* Thu Jan 12 2006 Olivier Blin <oblin@mandriva.com> 080-2mdk
- fix coldplug patch to handle entries from /devices again

* Wed Jan 11 2006 Olivier Blin <oblin@mandriva.com> 080-1mdk
- 080
- remove incorrect WAIT_FOR_SYSFS for BUS=="scsi" rules
  (thanks to Andrey Borzenkov for the advice)
- replace some BUS="foo" with BUS=="foo"
- remove %%e rules for cdroms and scanners, it's deprecated, the
  solution would now be to create rules for each device, using device
  IDs (use harddrake for that?)
- rediff obsolete coldplug patch, still needed because our kernel is
  way outdated and doesn't know how to replay uevents
- rediff crappy input patch, still needed because our kernel is way
  outdated

* Tue Jan 10 2006 Olivier Blin <oblin@mandriva.com> 079-10mdk
- build edd_id and dasd_id (#20568)

* Tue Jan 10 2006 Olivier Blin <oblin@mandriva.com> 079-9mdk
- Source2: fix PROGRAM= rules

* Tue Jan 10 2006 Thierry Vignaud <tvignaud@mandriva.com> 079-8mdk
- source 2:
  o update a couple rules
  o try harder to handle ZIP

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 079-7mdk
- pam_console.dev cleanup (from Andrey Borzenkov, #20527)
- drop Patch51: udevinfo is no longer needed in /bin

* Tue Jan 03 2006 Thierry Vignaud <tvignaud@mandriva.com> 079-6mdk
- drop a few more devfs compat entries

* Sun Jan 01 2006 Olivier Blin <oblin@mandriva.com> 079-5mdk
- from Andrey Borzenkov: fix pam_console.dev run rule

* Sat Dec 31 2005 Olivier Blin <oblin@mandriva.com> 079-4mdk
- workaround kernel events sent too early for sysfs "type" attributes
  to be read (Andrey Borzenkov, #20376)

* Fri Dec 30 2005 Olivier Blin <oblin@mandriva.com> 079-3mdk
- add path_id

* Mon Dec 26 2005 Olivier Blin <oblin@mandriva.com> 079-2mdk
- remove unused devfs scripts (Source10, Patch4)
- remove devfs relics in udev.rules (J.A. Magallon)

* Fri Dec 23 2005 Thierry Vignaud <tvignaud@mandriva.com> 079-1mdk
- new release
- source 2: drop disc, pty, tts & tty devfs compat rules (smaller DB)
- source 7: fix restart (broken since 078)

* Tue Dec 20 2005 Olivier Blin <oblin@mandriva.com> 078-1mdk
- 078

* Mon Dec 12 2005 Thierry Vignaud <tvignaud@mandriva.com> 077-2mdk
- use %%serverbuild

* Fri Dec 09 2005 Olivier Blin <oblin@mandriva.com> 077-1mdk
- 077
- rediff Patch51
- kill dxr3 support (Source9, migrated to the em8300 package)
- remove start_udev, inputdev.sh
- kill udev_run_hotplugd
- kill dev.d directory and udev_run_devd
- remove hotplug.rules (Source11)
- move helpers to /lib/udev (firmware_helper, pam_console.dev, udev_*_helper)
- add a rule to run explicitely pam_console.dev
- add persistent rules (create links by path/id/label/uuid in /dev/disk)

* Tue Dec 06 2005 Olivier Blin <oblin@mandriva.com> 075-3mdk
- don't try to run non-existent driver agents

* Mon Dec 05 2005 Olivier Blin <oblin@mandriva.com> 075-2mdk
- remove zaptel rules (moved in dkms-zaptel, Stefan van der Eijk)

* Wed Nov 16 2005 Olivier Blin <oblin@mandriva.com> 075-1mdk
- 075
- disable klibc for now (the klibc sources aren't included anymore)
  (also drop Patch20 and Patch23)
- drop Patch50 (and udeveventrecorder, udevinitsend, udevrulescompile)
- rediff Patch51

* Sat Oct 29 2005 Olivier Blin <oblin@mandriva.com> 071-1mdk
- 071
- remove deprecated gen_scsi_id_udev_rules.sh
- don't setup vmnet interfaces in udev_net_helper (#19484)

* Wed Oct 05 2005 Olivier Blin <oblin@mandriva.com> 070-3mdk
- don't show harmless errors in pre script (thanks to Pascal Terjan)

* Tue Oct 04 2005 Olivier Blin <oblin@mandriva.com> 070-2mdk
- make sure the pre script doesn't fail (thanks to Rafael)

* Tue Oct 04 2005 Olivier Blin <oblin@mandriva.com> 070-1mdk
- 0.70
- drop Patch37 (fixed upstream)
- drop Patch39, Patch41, Patch43 (backport)
- drop chassis_id (dropped upstream)
- drop Patch33, Patch40 (cdsymlinks is dropped)
- Source2: use cdrom_id to get cdrom names
- Source7: don't copy initrd's /dev anymore
- Patch50: add missing programs in Makefile's install target
- remove old docs
- specs cleanups, remove redundant install
- use /lib/firmware as firmware path (drop Patch38)

* Tue Sep 20 2005 Olivier Blin <oblin@mandriva.com> 068-34mdk
- udevstart: fix SCSI coldplug

* Tue Sep 20 2005 Olivier Blin <oblin@mandriva.com> 068-33mdk
- Source2: preload usbhid before usbmouse is loaded

* Sun Sep 18 2005 Olivier Blin <oblin@mandriva.com> 068-32mdk
- Source42: floppy-extra-devs.sh (from Slackware, + pam additions)
- Source2: create extra floppy devices

* Sun Sep 18 2005 Olivier Blin <oblin@mandriva.com> 068-31mdk
- udev_net_helper: export IN_HOTPLUG for ifdown too

* Fri Sep 16 2005 Olivier Blin <oblin@mandriva.com> 068-30mdk
- Patch43 (udevd): check all event sources with every iteration
- don't run udev_agent_helper anymore, it's broken anyway

* Thu Sep 15 2005 Olivier Blin <oblin@mandriva.com> 068-29mdk
- Source2: fix pci coldplug (usb controllers) in some weird cases
  where the parent device would have a class that doesn't match

* Tue Sep 13 2005 Olivier Blin <oblin@mandriva.com> 068-28mdk
- Source37: udev_ieee1394_helper (forked from hotplug)
- Source2: run ieee1394 helper when needed
- fix net helper (because hotplug.functions may be missing)

* Tue Sep 13 2005 Olivier Blin <oblin@mandriva.com> 068-27mdk
- Patch41: keep input subsystem events even if DEVPATH isn't set
- Source35: udev_input_coldplug (forked from hotplug's input.rc)
- Source36: udev_input_helper (forked from hotplug's input.agent)
- Source7: run udev_input_coldplug after udevstart
- Source2: run udev_input_helper for input subsystem events

* Mon Sep 12 2005 Thierry Vignaud <tvignaud@mandriva.com> 068-26mdk
- source 2: fix MD rules (#18422)

* Sat Sep 10 2005 Olivier Blin <oblin@mandriva.com> 068-25mdk
- don't copy initrd's /dev/shm in init script,
  it removed the world writable and sticky permissions,
  while it is required (e.g. for ATI drivers)

* Sat Sep 10 2005 Olivier Blin <oblin@mandriva.com> 068-24mdk
- udev_net_helper: handle bluetooth network devices
  (Jan Ciger, #18283)

* Sat Sep 10 2005 Olivier Blin <oblin@mandriva.com> 068-23mdk
- Patch41: don't upload spurious firmware data (upstream patch)

* Thu Sep 08 2005 Olivier Blin <oblin@mandriva.com> 068-22mdk
- package firmware directories and links

* Wed Sep 07 2005 Olivier Blin <oblin@mandriva.com> 068-21mdk
- Patch40: fix cd symlinks creation (J.A. Magallon, #17724)

* Tue Sep 06 2005 Olivier Blin <oblin@mandriva.com> 068-20mdk
- ignore lock file in udev service at boot (#18120)
- copy /initrd/dev in /dev to keep lvm and dmraid nodes (#18233)
- add scsi coldplug support in udevstart (#18148)

* Mon Sep 05 2005 Olivier Blin <oblin@mandriva.com> 068-19mdk
- Source34: handle match flags correctly
- use builtin udev_import_usermap in %%install, not system's

* Sat Sep 03 2005 Olivier Blin <oblin@mandriva.com> 068-18mdk
- Source32: fix typo in agent path

* Sat Sep 03 2005 Olivier Blin <oblin@mandriva.com> 068-17mdk
- Source7: don't make the udev service chkconfig'able
- remove udev service on upgrade from udev < 068-17mdk

* Sat Sep 03 2005 Olivier Blin <oblin@mandriva.com> 068-16mdk
- include rules converted from old hotplug usermap
- require wireless-tools (for udev_net_helper)
- drop hotplug requirement

* Thu Sep 01 2005 Olivier Blin <oblin@mandriva.com> 068-15mdk
- use correct patch for coldplug (#18089)

* Wed Aug 31 2005 Olivier Blin <oblin@mandriva.com> 068-14mdk
- create udev-tools subpackage

* Wed Aug 31 2005 Olivier Blin <oblin@mandriva.com> 068-13mdk
- don't add udev service with chkconfig, it's handled by rc.sysinit

* Sun Aug 28 2005 Olivier Blin <oblin@mandriva.com> 068-12mdk
- use commas in rules generated by udev_import_usermap

* Sun Aug 28 2005 Olivier Blin <oblin@mandriva.com> 068-11mdk
- add --no-modprobe and --no-driver-agent options to udev_import_usermap

* Sat Aug 27 2005 Olivier Blin <oblin@mandriva.com> 068-10mdk
- Source2: allow PCI coldplug for USB controllers only
- update Patch35 to replay events for PCI devices too (Titi & me)
- add /etc/udev/agents.d and /etc/udev/agents.d/usb directories
- update Source32 to use /etc/udev/agents.d (agent helper)
- update Source34 to use /etc/udev/agents.d (usermap import)

* Sat Aug 27 2005 Thierry Vignaud <tvignaud@mandriva.com> 068-9mdk
- source 2: fix support for RAID Compaq smart array & Mylex controllers)

* Fri Aug 26 2005 Olivier Blin <oblin@mandriva.com> 068-8mdk
- add udev_import_usermap to migrate hotplug usermaps (Source34)
- Patch39: fix firmware path termination (upstream patch)

* Thu Aug 25 2005 Thierry Vignaud <tvignaud@mandriva.com> 068-7mdk
- drop source 30 and use upstream firmware helper
- patch 38: fix firmware path in upstream helper

* Thu Aug 25 2005 Thierry Vignaud <tvignaud@mandriva.com> 068-6mdk
- move doc in its own subpackage (as well as debug tools), thus reducing size
  of minimal install

* Wed Aug 24 2005 Olivier Blin <oblin@mandriva.com> 068-5mdk
- Source 31: call ifdown on network device removal (#17749)

* Wed Aug 24 2005 Thierry Vignaud <tvignaud@mandriva.com> 068-4mdk
- source 33: obey what /etc/sysconfig/mouse settings (pixel, #17307)

* Tue Aug 23 2005 Olivier Blin <oblin@mandriva.com> 068-3mdk
- source 2: fix firmware loading (Mark Draheim, #17679)
  ENV{}== and ENV{}= are not equivalent as of udev 068

* Sat Aug 20 2005 Thierry Vignaud <tvignaud@mandriva.com> 068-2mdk
- source 2: only link "psaux" on "psmouse", not on "mouse" (mousedrake taking
  care of the later) (#17461)

* Sat Aug 20 2005 Thierry Vignaud <tvignaud@mandriva.com> 068-1mdk
- new release
- package udeveventrecorder

* Fri Aug 19 2005 Olivier Blin <oblin@mandriva.com> 067-5mdk
- source31: more generic fix for #17550
- source31: use the "daemon" parameter of ifup instead of "boot"

* Fri Aug 19 2005 Olivier Blin <oblin@mandriva.com> 067-4mdk
- source 35: use global exec list for usb coldplug

* Tue Aug 16 2005 Thierry Vignaud <tvignaud@mandriva.com> 067-3mdk
- source 31: add support for usbnet (#17550)

* Mon Aug 15 2005 Thierry Vignaud <tvignaud@mandriva.com> 067-2mdk
- package udevrulescompile

* Mon Aug 15 2005 Thierry Vignaud <tvignaud@mandriva.com> 067-1mdk
- new release
- redo patch 26 & 35
- kill patches 34 & 36

* Thu Aug 11 2005 Thierry Vignaud <tvignaud@mandriva.com> 065-8mdk
- workaround rpm dropping exec permissions on /etc/dev.d/*/*

* Thu Aug 11 2005 Thierry Vignaud <tvignaud@mandriva.com> 065-7mdk
- patch 36: do not print usage help if udevinfo -q symlink -p path returns no
  symlinks
- patch 37: specify which device isn't found in db by udevinfo
- rpmlint fixes
- source 2: ignore the events generated by virtual consoles

* Tue Aug 09 2005 Olivier Blin <oblin@mandriva.com> 065-6mdk
- add missing includes to fix udev_agent_helper segfaults on x86_64

* Tue Aug 09 2005 Thierry Vignaud <tvignaud@mandriva.com> 065-5mdk
- source 2:
  o fix/factorize SCSI disk & sg rules
  o factorize lp rules
  o describe %%e and %%s{XXXX}
  o move dynamic stuff into dynamic package
- own all directories (#17367)
- source 32: new helper enabling to use external agents (blino)

* Mon Aug 08 2005 Olivier Blin <oblin@mandriva.com> 065-4mdk
- remove versionned Requires for kernel-source, it doesn't work since
  kernel-source provides an unversionned kernel-source, which matchs
  every versionned Requires of kernel-source

* Sun Aug 07 2005 Olivier Blin <oblin@mandriva.com> 065-3mdk
- better USB coldplug support in Patch35
  (i.e. do not run udevsend while it can be avoided)

* Sun Aug 07 2005 Thierry Vignaud <tvignaud@mandriva.com> 065-2mdk
- enable log in glibc build (enabled by ENV{UDEV_LOG}=debug or through
  /etc/udev/udev.conf)
- source 2:
  o add some comments for scsi
  o ready for dbus-0.3x/hal-0.5
- patch 35: add USB coldplug support (blino & me)
- source 7: restart syslogd on force-reload

* Sat Aug 06 2005 Thierry Vignaud <tvignaud@mandriva.com> 065-1mdk
- new release
- source 2:
  o prevent forking hotplug/dynamic agents for unmanaged console stuff (#15371)
  o cleaner rule for device mapper
  o add support for tpm devices
  o more firewire rules (+ s/usb/video/ on group)
- patch 34: fix udevmonitor build

* Sat Aug 06 2005 Olivier Blin <oblin@mandriva.com> 064-5mdk
- Source2: use udev_net_helper to handle net events
- Source30: create udev_net_helper from hotplug's net.agent
  (minimize differences with hotplug's original net.agent)
- fix EXTRAS definition to really handle ata_id
- add prereq on rpm-helper
- fix previous changelog (the installer used to create udev rules too)
- use cdrom group for sr[0-9]* devices (Thierry Vignaud)

* Sat Aug 06 2005 Thierry Vignaud <tvignaud@mandriva.com> 064-4mdk
- fix firmware loading (#17178)
- enable function id matching for pcmcia after loading modules
- source 7:
  o explain why we don't start when /sys isn't mounted
  o no fork bomb (#15371) (udev will serialize events anyway)
  o disable run_udev (try, may be reverted later)
- on update, disable rules written by blino devfsd->udev migration script and
  installer since they override our own rules (thus resulting in missing nodes
  in /dev and unapplied permissions) (#17229, #17307)

* Sun Jul 31 2005 Thierry Vignaud <tvignaud@mandriva.com> 064-3mdk
- source 30: fix firmware path (#17150)

* Sat Jul 30 2005 Thierry Vignaud <tvignaud@mandriva.com> 064-2mdk
- kill blino devfsd->udev migration script since it results in writing rules
  that hide our own rules (thus resulting in missing nodes in /dev and
  unapplied permissions)

* Sat Jul 30 2005 Thierry Vignaud <tvignaud@mandriva.com> 064-2mdk
- use mkrel

* Fri Jul 29 2005 Thierry Vignaud <tvignaud@mandriva.com> 064-1mdk
- new release
- source 2:
  o update to new syntax
  o provide more links for cpu devices
  o create scannerX if needed
- faster boot (reducing amount of time spent in hotplug):
  o source 30: obsolete firmware.agent
  o source 2: new firmware handler
    * update to new syntax
    * obsolete  firmware.agent, ieee1394.agent & scsi.agent
	* load modules for pci, pcmcia & usb

* Fri Jul 29 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 063-1mdk
- new release
- fix firewire support with kernel-2.6.12+ (#16812)
- source 11: compatibility support for the obsolete hotplug.d and dev.d
  directories
- build ata_id, udev_run, usb_id & volume_id

* Wed Jun 22 2005 Frederic Lepied <flepied@mandriva.com> 058-5mdk
- fixed dependencies

* Sat Jun 18 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 058-4mdk
- source 7: when restarting the service, prevent overriding current sound
  volume with volume restored at boot

* Fri Jun 17 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 058-3mdk
- we do not need anymore to restart syslogd on post since we don't umount /dev
  anymore

* Fri Jun 17 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 058-2mdk
- source 2:
  o fix joystick permissions (#15378)
  o add /dev/js0 link on input/js0 (#15378)

* Fri Jun 17 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 058-1mdk
- new release
- patch 4: fix devfs names (#15749)
- source 8: workaround slow nvidia devices creation
- kill patches 27 & 28 (another fix was included upstream) as well as 31 & 32
- patch 33: enable cdrom0 and numbered cd links (thus replacing old patches
  27 & 28)

* Fri Apr 29 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 057-2mdk
- fix udevstart-klibc

* Tue Apr 26 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 057-1mdk
- new release
- kill patch 22

* Thu Apr 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 054-6mdk 
- update source 2:
  - fix typo for visor path script (Mdk bug #15280)
  - create symlink for USB ZIP/JAZ devices to be console privilege
- Update patch 26 to call pam_console_setowner correctly

* Fri Apr 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 054-5mdk
- source 2:
  o fix DVB perms (#15117)
  o fix raid devices

* Thu Mar 17 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 054-4mdk
- source 7: fix redirecting error messages (#14726)

* Mon Mar 14 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 054-3mdk
- rename default rules from 00 to 50 in order to allow custom rules to override
  our default ones (#14446)
- do not precreate dri anymore

* Mon Mar 07 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 054-2mdk
- source 7: some systems need larger /dev (#14092)
- fix creation of DRI device (#14313)
- patch 31: fix dvd burners devices (#14208)
- patch 32: fix cd info parsing when there's only one device (#13700)

* Tue Mar 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 054-1mdk
- new release
- kill patch 29 (merged upstream)
- source 2, patch 30: further try to fix ZIP devices (#11663)
- source 7: do not access /var/run unless accessible (#13616)

* Thu Feb 24 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 053-5mdk
- source 2: fix DRI rule for card0
- source 8: precreate dri/card0 so that pam set proper permissions on login,
  even when not using a DM (aka directly running startx)

* Fri Feb 18 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 053-4mdk
- source 2: fix PDA devices (frederic crozat)

* Mon Feb 14 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 053-3mdk
- source 2: fix par0 device (#13639)

* Mon Feb 14 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 053-2mdk
- patch 27: fix missing cdrom0
- patch 28: generate cdrom0, cdrom1, ... instead of cdrom1, cdrom2, ...

* Sat Feb 12 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 053-1mdk
- new release
- rediff patch 4
- kill patches 24 & 25 (merged upstream)
- source 2:
  o use the new SUBSYSTEM keyword for sound permissions
  o set a few more permissons
  o fix fb permissions

* Fri Feb 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 051-2mdk
- fix the devfsd compat links for PDA (#12167)

* Fri Feb 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 051-1mdk
- new release (fix missing cdrom* links) (#13537)
- source 2:
  o merge in source 4 (permissions are dead in new udev)
  o add support for ts input devices
  o add support for aoe char devices (kernel-2.6.11+)
  o add support for ttyUSB*
  o fix missing lp links (#13027)
  o use binary cdsymlinks rather than script one (quite a lot faster)
- source 7: do not replay udev on rc.sysinit => init 5 switch

* Thu Feb 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-17mdk
- provide binary cdsymlinks for live CDs

* Wed Feb 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-16mdk
- source 7: increase firmware loading timeout from 10 up to 50 seconds,
  thus workarounding some firmware upload troubles

* Mon Feb 07 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-15mdk
- source 2:
  o add support for Infiniband devices (kernel-2.6.11-rc3)
  o fix support for ZIP devices (#11663) and relax test in order to support
    also IOMEGA ZIP 250

* Tue Feb 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-14mdk
- source 2, 10: switch to debian scsi helper script (real old devfs names, not
  new richard gooch devfs names with extra pci domain field and the like)
- source 7:
  o "replay" block device events on startup
  o rework scsi devfs compat names so that devfs names are linked on old names
    instead of the reverse (fix #12756)
  o switch to hotplug mode
  o fix force-reload
  o more subsys checks

* Tue Jan 25 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-13mdk
- source 2: generate devfs compat names for SCSI devices

* Wed Jan 19 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-12mdk
- source 2: workaround devices that do not report media changes (#11663)
- source 7: run pam_console_apply in restart

* Tue Jan 18 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-11mdk
- source 7: workaround buggy entries in /proc for already running processes
  on stop/restart (#13032):
  o do nothing on stop (force-stop do what stop did previously)
  o rerun udevsart on restart
  o force-reload does what restart used to do
- fix doble call to udev on every hotplug event (#13082)

* Mon Jan 17 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-10mdk
- source 2: enable DVB rules for both older and newer kernels
- source 8: precreate lp0 (#13027) and rawctl (#11511) too 
- source 9: add support for dxr3 (#12959)
- fix some rpmlint warning

* Thu Jan 13 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-9mdk
- source 2: update DVD rules for kernel-2.6.9+ (#12999)
- patch 26: fix PAM lock check (#12987)

* Wed Jan 12 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-8mdk
- source 2: fix /dev/video0 link (#12978)

* Tue Jan 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-7mdk
- source 7:
  o reenable udev stop|restart
  o increase tmpfs size b/c some boxes have quite a large /dev
	(b/c of the new lockless filesystem-based /dev/.udevdb/ database...)
- source 8: explain links.conf

* Tue Jan 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-6mdk
- precreate parport0 (#12544), cpu/0/cpuid, cpu/0/microcode and cpu/0/msr

* Tue Jan 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-5mdk
- move sound stuff into sound-scripts

* Mon Jan 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-4mdk
- fix startup
- do not install compressed rules

* Mon Jan 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-3mdk
- rules:
  o merge in sources 2 & 3
  o add support for Zaptel, CPU, RAID (Compacq smart array & Mylex), cpad,
    devices
  o misc rules updates
  o explain DM rules
- update permissions
- precreated devices:
  o move device list from init script into /etc/udev/links.conf (a la debian)
  o precreate loop/0 and net/tun too
- patch 24: fix the NUMBERED_LINKS=0 case (debian #288635)
- patch 25: RAID helper

* Wed Jan 05 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-2mdk
- restore ALSA mixer in background

* Thu Dec 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-1mdk
- new release
- kill patches 5 & 21 (merged into source 7)
- precreate /dev/raw1394

* Fri Nov 19 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 046-1mdk
- new release
- rediff patch 21
- disable parrallel build (broken for now)

* Tue Nov 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 044-3mdk
- fix udevdir

* Mon Nov 15 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 044-2mdk
- add udevstart-klibc link

* Mon Nov 15 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 044-1mdk
- new release
- rediff patch 20 and 23

* Sat Oct 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-24mdk
- source 6: quiet it (+ perl_checker cleanups)

* Sat Oct 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-23mdk
- migrate devfs rules also on first install

* Sat Oct 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-22mdk
- source 6: migrate devfs rules when updating an old udev (and not during
  install) (blino, #10860)

* Tue Oct 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-21mdk
- source 3: add pktcdvd/control entry (#11553)

* Tue Oct 05 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 030-20mdk
- fix build on x86_64

* Wed Sep 29 2004 Frederic Lepied <flepied@mandrakesoft.com> 030-19mdk
- mount /dev/pts and /dev/shm if needed

* Sat Sep 11 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-18mdk
- drop source 1: obsoleted by source 4
- sources 4 and 5: add support for DVB (lamikr)
- restart syslog after udev updates (else minilogd is forked and eat memory)

* Fri Sep 10 2004 Frederic Lepied <flepied@mandrakesoft.com> 030-17mdk
- activate pam support

* Thu Sep 09 2004 Frederic Lepied <flepied@mandrakesoft.com> 030-16mdk
- start at level 01
- no log by default

* Thu Sep 09 2004 Frederic Lepied <flepied@mandrakesoft.com> 030-15mdk
- fixed logic in init scripts when creating nodes

* Thu Sep 09 2004 Luca Berra <bluca@vodka.it> 030-14mdk 
- fix initscript again:
  don't create devices that already exist
  do not stop if running on /dev

* Tue Sep 07 2004 Luca Berra <bluca@vodka.it> 030-13mdk
- merge udev and udev-klibc package, only use klibc for udev and udevstart
- fix initscript if devfs found, and other minor issues
- do not conflict with devfsd

* Sat Sep 04 2004 Frederic Lepied <flepied@mandrakesoft.com> 030-12mdk
- added fd, loopd, sg, sr and st creation in init script
- start before syslog to have a correct /dev/log

* Wed Sep 01 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-11mdk
- patch 21: precreate /dev/ppp in order to enable kmod to autoload ppp
  related modules

* Sat Aug 21 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-10mdk
- patch 21: fix udev update (aka get proper perms after update)

* Fri Aug 20 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-9mdk
- add conflicts with devfsd

* Thu Aug 19 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-8mdk
- source 2: fix usb printers support (missing EOL)

* Thu Aug 12 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-7mdk
- really, really run on /dev instead of /udev even when not using
  --short-circuit

* Wed Aug 11 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-6mdk
- patch 21: on start, run scripts from /etc/udev/conf.d/ (so that drakx can
  drop commands there rather than devfsd rules in /etc/devfs/conf.d)

* Wed Aug 11 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-5mdk
- fix /dev/ptmx permissions by overwritting default perms with ours
- source 4: fix typo in comment
- patch 21: umount -l sometimes complains whereas kernel succeed a few seconds
  later; let quiet this

* Wed Aug 11 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-4mdk
- enhance description
- really run on /dev instead of /udev
- patch 21: run pam_console_apply on startup
- source 4: enhanced permissions (merge bits from rh & debian)
- remaining bug is lack of /dev/ptmx support in PAM

* Wed Aug 11 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-3mdk
- patch 21: enhanced sysv init script:
  o let's have std translated messages
  o fix stop
  o check kernel version
  o add devfsd guards
  o support lazy stop while system is still up
  o still a bug though: /proc/self/fd/ entries are bogus :-(
  o sync with debian
- source 4: extra perms
- udev service is devfsd successor capable

* Fri Jul 30 2004 Svetoslav Slavtchev <svetljo@gmx.de> 030-2mdk
- make rpmlint a bit happier
- dbus support was dropped: cleanup the spec

* Fri Jul 30 2004 Svetoslav Slavtchev <svetljo@gmx.de> 030-1mdk
- update to udev-030
- disable loging for klibc binaries
- dont build/install udevinfo-klibc
- add some new docs

* Fri Jul 30 2004 Svetoslav Slavtchev <svetljo@gmx.de> 027-5mdk
- build chassis_id and udev_volume_id too
- add scsi-devfs and start_udev scripts
- add /etc/dev.d/default and /etc/sysconfig/udev

* Fri Jul 30 2004 Svetoslav Slavtchev <svetljo@gmx.de> 027-4mdk
- fix hotplug script
- reenable klibc binaries and split them in different package

* Fri Jul 30 2004 Svetoslav Slavtchev <svetljo@gmx.de> 027-3mdk
- fix configuration files
- add some new rules

* Thu Jun 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 027-2mdk
- only make udev files writable

* Wed Jun 23 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 027-1mdk
- new release
- fix --short-circuit
- kill patch 1, 2 and 11 since /etc/udev/rules.d/ replaced /etc/udev/conf.d
- kill patch 3, 6 and 21 (merged upstream)
- redo patch 4, 5

